Quassel IRC - Bug #949

Crash when Disconnecting
04/17/2010 05:19 PM - dblaber

Status: Closed Start date: 04/17/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.7-pre 0S: Linux
Description

| get this very often when my network connection is dropped.
Application that crashed: quasselclient

Version of the application: v0.6-rc1 (dist-fee817d)

KDE Version: 4.3.2 (KDE 4.3.2)

Qt Version: 4.5.2

Operating System: Linux 2.6.31-20-generic x86_64
Distribution: Ubuntu 9.10

What | was doing when the application crashed:
<In detalil, tell us what you were doing when the application crashed.>

—— Backtrace:

Application: Quassel IRC (quasselclient), signal: Segmentation fault
The current source language is "auto; currently c".

[Current thread is 1 (Thread 0x7£f3ell10db7f0 (LWP 3904)) ]

Thread 2 (Thread 0x7f3dfa5b4910 (LWP 3907)):

0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
1 0x00007f3e10b2b4fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so0.4
0x00007f3e0f7f278c in ?? () from /usr/lib/libQtNetwork.so.4

0x00007f3e10b2a445 in ?? () from /usr/lib/libQtCore.so.4

0x00007f3e108b6a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
0x00007f3e0b25180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

0x0000000000000000 in ?7? ()
Thread 1 (Thread 0x7f3e110db7f0 (LWP 3904)):

[KCrash Handler]

#4 0x00007f3e101893e0 in ?? () from /usr/lib/libQtGui.so.4

#5 0x00007f3e101894ed in QSortFilterProxyModel::mapToSource(QModellndex const&) const () from /ust/lib/libQtGui.so.4
#6 0x00007f3e10182ff6 in QSortFilterProxyModel::data(QModelindex const&, int) const () from /usr/lib/libQtGui.so.4
#7 0x000000000052f4d8 in QModellndex::data (this=0xed7590) at /usr/include/qt4/QtCore/qabstractitemmodel.h:378
#8 ToolBarActionProvider::updateStates (this=0xed7590) at
/home/dmb/Downloads/quassel-0.6-rc1/src/uisupport/toolbaractionprovider.cpp:75

#9 0x0000000000541d01 in ToolBarActionProvider::qt_metacall (this=0xed7590, _c=QMetaObject::InvokeMetaMethod,
_id=15562232, _a=0x7{ffdb61cfd0)

at /home/dmb/Downloads/quassel-0.6-rc1/src/uisupport/moc_toolbaractionprovider.cxx:86

#10 0x00007f3e10c25ddc in QMetaObiject::activate(QObject*, int, int, void**) () from /ust/lib/libQtCore.so0.4

#11 0x00000000004b93d0 in NickListWidget::nickSelectionChanged (this=0x26, _t1=<value optimized out>) at
/home/dmb/Downloads/quassel-0.6-rc1/src/qtui/moc_nicklistwidget.cxx:96

#12 0x0000000000443c83 in NickListWidget::hideEvent (this=0x26, event=0x7fffdb61d570) at
/home/dmb/Downloads/quassel-0.6-rc1/src/qtui/nicklistwidget.cpp:50

#13 0x00007f3e0fc7a3c9 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

#14 0x00007f3e0fc2befc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#15 0x00007f3e0fc331ce in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#16 0x00007f3e0ca0lfab6 in KApplication::notify(QObject*, QEvent*) () from /ust/lib/libkdeui.s0.5

#17 0x00007f3e10c10c2c in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so0.4

#18 0x00007f3e0fc792a4 in QWidgetPrivate::hideChildren(bool) () from /ust/lib/libQtGui.so.4

#19 0x00007f3e0fc79271 in QWidgetPrivate::hideChildren(bool) () from /usr/lib/libQtGui.so.4

#20 0x00007f3e0fc98229 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4

#21 0x00007f3e0fcc0dOc in ?7? () from /usr/lib/libQtGui.so.4

#22 0x00007f3e0d927bce in g_main_context_dispatch () from /lib/libglib-2.0.s0.0
#23 0x00007f3e0d92b598 in ?? () from /lib/libglib-2.0.s0.0

#24 0x00007f3e0d92b6c0 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

#25 0x00007f3e10c391a6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/libQtCore.so.4

#26 0x00007f3e0fcc04be in ?? () from /usr/lib/libQtGui.so.4

#27 0x00007f3e10c0f532 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#28 0x00007f3e10c0f904 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /ust/lib/libQtCore.so.4
#29 0x00007f3e10c11ab9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so0.4

#30 0x0000000000436¢5d in main (argc=1, argv=<value optimized out>) at
/home/dmb/Downloads/quassel-0.6-rc1/src/common/main.cpp:139

The current source language is "auto; currently asm".

The current source language is "auto; currently c".

Report to http://bugs.quassel-irc.org/projects/quassel-irc/issues/new

History

#1 - 04/17/2010 05:54 PM - dblaber

| should clarify, this is when | disconnect from the core.

#2 - 04/21/2011 07:43 PM - johu

- Status changed from New to Closed

- Version changed from 0.4.3 to 0.7-pre
- OS changed from Any to Linux

Can not reproduce with quassel 0.7.2 & master, qt 4.7.2 and kde 4.6.2
